ippinfra(1)

NAME
ippinfra - a simple ipp infrastructure server

SYNOPSIS
ippinfra [ -d spool-directory ] [ -h ] [ -k ] [ -n hostname ] [ -p port ] [ -u username:password ] [ -v[vvv] ] service-name

DESCRIPTION
ippinfra is a simple Internet Printing Protocol (IPP) infrastructure server conforming to the IPP Shared Infrastructure Extensions (INFRA) specification. It can be used as a very basic infrastructure server between standard IPP clients and IPP proxies conforming to the INFRA specification.

OPTIONS
The following options are recognized by ippinfra:

-d spool-directory
    Specifies the directory that will hold the print files. The default is a directory under the user's current temporary directory.

-h  Shows program help.

-k  Keeps the print documents in the spool directory rather than deleting them.

-n hostname
    Specifies the hostname that is reported by the server. The default is the name returned by the hostname(1) command.

-p port
    Specifies the port number to listen on. The default is a user-specific number from 8000 to 8999.

-u username:password
    Specifies the username and password for the IPP proxy. The default is "test:test123".

-v[vvv]
    Be (very) verbose when logging activity to the standard output.

EXIT STATUS
The ippinfra program returns 1 if it is unable to process the command-line arguments. Otherwise ippinfra will run continuously until terminated.

CONFORMING TO
The ippinfra program is unique to CUPS and conforms to the IPP Shared Infrastructure Extensions (INFRA) specification as an Infrastructure Printer.

EXAMPLES
Run ippinfra with a service name of My Cool Printer:
    ippinfra "My Cool Printer"

Specify a proxy username of "foo" and password of "bar":
    ippinfra -u foo:bar "My Cool Printer"

SEE ALSO
PWG Internet Printing Protocol Workgroup (http://www.pwg.org/ipp)

COPYRIGHT
Copyright © 2007-2014 by Apple Inc.